/***************************************************************************
                                 typedefs.h
                             -------------------
   Just some common typedefs I like to use.
                             -------------------
    begin                : Tue Apr 6 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __TYPEDEFS_H__
#define __TYPEDEFS_H__

typedef unsigned char      u8;
typedef unsigned short     u16;
typedef unsigned int       u32;
#if defined(__MSVC__)
typedef unsigned __int64   u64;
#elif defined(__GCC__)
typedef unsigned long long u64;
#endif

typedef signed char      s8;
typedef signed short     s16;
typedef signed int       s32;
#if defined(__MSVC__)
typedef signed __int64   s64;
#elif defined(__GCC__)
typedef signed long long s64;
#endif


#endif

