/***************************************************************************
                        vlc_tables.h  -  description
                             -------------------
    begin                : Thu Jun 29 2006
    copyright            : (C) 2006 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __VLC_TABLES_H__
#define __VLC_TABLES_H__

#include "common/typedefs.h"


#define VC1_PARSE_VLC(tab, resume_pt) \
   while (1) {\
      GET_LSB; \
      while (DATA_BYTE < *(tab)) {\
         tab += 3; \
      }\
      if (*(tab+1)) \
         break; \
      tab += 3 * (u32)(*(tab+2)); \
      ALIGN8_DATA_BYTE(resume_pt) \
   }

#define VC1_PARSE_1BYTE_VLC(tab) \
   while (DATA_BYTE < *(tab)) {\
      tab += 3; \
   }


#ifdef __cplusplus
extern "C" {
#endif

extern const u8  VC1_BFRACTION_TAB[],
                 VC1_MVMODE0_TAB[],
                 VC1_MVMODE1_TAB[],
                 VC1_MVMODE2_TAB[],
                 VC1_MVMODE3_TAB[],
                 VC1_I_CBP_TAB[];

extern const u8 *VC1_DC_DIFF_TAB[],
                *VC1_AC_INDEX_TAB[],
                *VC1_AC_MODE3_LEVEL_SIZE_TAB[],
                *VC1_MV_DIFF_TAB[],
                *VC1_PB_CBP_TAB[],
                *VC1_TTMB_TAB[],
                *VC1_TTBLK_TAB[],
                *VC1_TTSUBBLK_TAB[];

#ifdef __cplusplus
};
#endif

#endif

